Subject: Re: [PATCH v5 2/4] refs: forward and use the reference storage payload

From: Jeff King <[email-masked]>
Date: Tue, 10 Feb 2026 17:46:54 -0500

On Mon, Feb 09, 2026 at 04:58:19PM +0100, Karthik Nayak wrote:

> +	if (*is_worktree) {
> +		char *wt_id = strrchr(gitdir, '/') + 1;
> +		strbuf_addf(refdir, "/worktrees/%s", wt_id);
> +	}

This is another instance where the new version of glibc will complain
about const-ness. The wt_id variable can just be marked as const.

(This and the other one I pointed out are the only two cases in your
series).

BTW, is it possible to have a gitdir string without a slash in it? I
guess not if it is absolute, but I didn't look at the caller to see if
that is always true. Anyway, I wonder if we should be checking the
result of strrchr() here.

-Peff